# Estimate the fee for a transfer transaction

Estimate the fee for a transfer transaction

Endpoint: POST /v2/transactions/transfer/estimate-fee
Version: 2.0
Security: TokenAuth

## Request fields (application/json):

  - `blockchain` (string, required)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `contract` (string)
    The contract/issuing address
    Example: "0xdAC17F958D2ee523a2206206994597C13D831ec7"

  - `symbol` (string, required)
    The asset symbol
    Example: "USD"

  - `originAddress` (string, required)
    The origin address
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `destinationAddress` (string)
    Optional destination address. When provided, allows for more accurate fee estimation on chains where transfer costs vary based on recipient state (e.g., TRON, Solana).
    Example: "TLsV52sRDL79HXGGm9yzwKibb6BeruhUzy"

## Response 200 fields (application/json):

  - `evm` (object)

  - `evm.gasPrice` (string, required)
    Gas price in wei (base_fee + priority_fee)
    Example: "155"

  - `evm.baseFee` (string, required)
    Base Fee in wei
    Example: "155"

  - `evm.priorityFee` (string, required)
    Average priority Fee in wei
    Example: "155"

  - `evm.gasLimit` (string, required)
    Gas limit
    Example: "21000"

  - `networkFees` (object, required)
    Map of fee options where keys are fee types (slowest, slow, medium, fast, fastest) and values are the fee amounts in base asset units
    Example: {"slowest":"0.00001","slow":"0.00005","medium":"0.00010","fast":"0.00015","fastest":"0.0002"}

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


